Skip to main content
POST
/
v2
/
admin
/
reporting
/
calls
/
call-outcomes
Admin Call Outcomes
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/calls/call-outcomes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": 1,
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "tenantId": 123,
  "results": [
    {
      "callOutcomeId": 123,
      "callOutcomeName": "<string>",
      "total": 123,
      "peerName": "<string>",
      "name": "<string>",
      "date": "<string>",
      "outcomes": [
        {
          "callOutcomeId": 123,
          "callOutcomeName": "<string>",
          "total": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
number
required

Tenant ID

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

direction

Call direction filter (IN or OUT)

Available options:
IN
tag
string[]

Filter by call tags

Minimum array length: 1
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1
distribution

Time distribution grouping (daily, weekly, monthly, or totals)

Available options:
weekly
users

Filter by user peer names, or 'ALL' for all users

groups
object[]

Filter by groups (queue, huntlist, or branch)

Response

Call outcome statistics or export acknowledgement

Call outcome statistics

tenantId
number
required

Tenant ID

results
object[]
required

Call outcome results